%define upstream_name    Getopt-Base
%define upstream_version v0.0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Foundation for oo GetOpt support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.260.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.0.3-2.mga4
+ Revision: 526983
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.0.3-1.mga4
+ Revision: 439309
- update to v0.0.3

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 367704
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 jquelin <jquelin> 0.0.2-1.mga2
+ Revision: 156800
- imported package perl-Getopt-Base


* Thu Oct 20 2011 cpan2dist v0.0.2-1mga
- initial mageia release, generated with cpan2dist
